com.pdfunit.validators

## Class MultiDocumentPropertyValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentPropertyValidator

-     @DoNotObfuscate
      public class MultiDocumentPropertyValidator
      extends java.lang.Object

  Validator for any property in a set of given PDF documents.

  This class is the superclass for other more specific validators for 'Author', 'Creator' etc.

  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `PropertyValidator`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MultiDocumentValidator` | `backReference`
    `protected java.util.Vector<DocumentValidator>` | `documentValidators`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentPropertyValidator(MultiDocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentValidator` | `containing(java.lang.String expectedValue)` This method does for each PDF document what the name suggests.
    `MultiDocumentValidator` | `endingWith(java.lang.String expectedValue)` This method does for each PDF document what the name suggests.
    `MultiDocumentValidator` | `equalsTo(java.lang.String expectedValue)` This method does for each PDF document what the name suggests.
    `MultiDocumentValidator` | `hasNoProperty(java.lang.String key)` This method does for each PDF document what the name suggests.
    `MultiDocumentPropertyValidator` | `hasProperty(java.lang.String key)` This method does for each PDF document what the name suggests.
    `MultiDocumentValidator` | `matchingRegex(java.lang.String regex)` This method does for each PDF document what the name suggests.
    `MultiDocumentValidator` | `notContaining(java.lang.String expectedValue)` This method does for each PDF document what the name suggests.
    `MultiDocumentValidator` | `notMatchingRegex(java.lang.String regex)` This method does for each PDF document what the name suggests.
    `MultiDocumentValidator` | `startingWith(java.lang.String expectedValue)` This method does for each PDF document what the name suggests.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### documentValidators

          protected java.util.Vector<DocumentValidator> documentValidators

    - #### backReference

          protected MultiDocumentValidator backReference

  - ### Constructor Detail

    - #### MultiDocumentPropertyValidator

          protected MultiDocumentPropertyValidator(MultiDocumentValidator backReference)

  - ### Method Detail

    - #### hasProperty

          @Guarded
          public MultiDocumentPropertyValidator hasProperty(java.lang.String key)

      This method does for each PDF document what the name suggests.

    - #### hasNoProperty

          @Guarded
          public MultiDocumentValidator hasNoProperty(java.lang.String key)

      This method does for each PDF document what the name suggests.

    - #### equalsTo

          @Guarded
          public MultiDocumentValidator equalsTo(java.lang.String expectedValue)

      This method does for each PDF document what the name suggests.

    - #### containing

          @Guarded
          public MultiDocumentValidator containing(java.lang.String expectedValue)

      This method does for each PDF document what the name suggests.

    - #### notContaining

          @Guarded
          public MultiDocumentValidator notContaining(java.lang.String expectedValue)

      This method does for each PDF document what the name suggests.

    - #### startingWith

          @Guarded
          public MultiDocumentValidator startingWith(java.lang.String expectedValue)

      This method does for each PDF document what the name suggests.

    - #### endingWith

          @Guarded
          public MultiDocumentValidator endingWith(java.lang.String expectedValue)

      This method does for each PDF document what the name suggests.

    - #### matchingRegex

          @Guarded
          public MultiDocumentValidator matchingRegex(java.lang.String regex)

      This method does for each PDF document what the name suggests.

    - #### notMatchingRegex

          @Guarded
          public MultiDocumentValidator notMatchingRegex(java.lang.String regex)

      This method does for each PDF document what the name suggests.

Copyright (C) PDFUnit.com. See here for license.